@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';



@import "atpformula/_warehousingbackoffice_atpformula.scss";
@import "inbox/_warehousingbackoffice_inbox.scss";

$warehousing-action-buttons--background: $white;
$warehousing-action-buttons--color: $blue__default--100;

//old css converted to scss
.yw-warehousingbackoffice {
    .y-toolbar-leftslot {
      .cng-action-group {
        td.z-hbox-separator {
          margin-left: -2px;
          display: inline-block;
          height: 32px;
        }
        .cng-action {
          td.z-hbox-separator {
            margin: 0;
            height: auto;
          }
          margin-right: 2px;
        }
      }
      .cng-action.cng-action-disabled {
        position: relative;
        padding: 0;
        margin: 0;
        &:hover {
          background: none;
        }
        tr {
          display: none;
        }
      }
    }

    .cng-action {
      .z-hbox-separator {
        background-color: inherit;
      }
    }

    button.z-button {
      &.declineitem {
        background-image: url("images/icon_action_decline_default.png");
        background-color: #FFFFFF;
        width: 30px;
        border: 1px solid #C0C0C0;
        background-position: center;
        &:hover {
          background-image: url("images/icon_action_decline_hover.png");
          background-color: #085ABC;
        }
      }
      &.edititem {
        background-image: url("images/icon_action_edit_default.png");
        background-color: $white;
        width: 20px;
        border: 1px solid #C0C0C0;
        background-position: center;
        background-repeat: no-repeat;
        &:hover {
          background-image: url("images/icon_action_edit_hover.png");
          //background: $warehousing-action-buttons--background;
          color: $warehousing-action-buttons--color;
          transition: background-color 0.3s ease 0s;
        }
        &.disabled {
          background-image: url("images/icon_action_edit_disabled.png");
          color: inherit;
        }
      }
    }

    .y-editor-area-attributes-cnt-max {
      .z-groupbox-content .z-hbox, &.z-groupbox-content table {
        width: 100%;
      }
    }

    .y-toolbar-leftslot .cng-action-group {
      .ya-de_hybris_platform_warehousingbackoffice_actions_printpickslipaction.cng-action:not(.cng-action-disabled),
      .ya-de_hybris_platform_warehousingbackoffice_actions_printpackaction.cng-action:not(.cng-action-disabled),
      .ya-de_hybris_platform_warehousingbackoffice_actions_printshippinglabelaction.cng-action:not(.cng-action-disabled),
      .ya-de_hybris_platform_warehousingbackoffice_actions_shipaction.cng-action:not(.cng-action-disabled),
      .ya-de_hybris_platform_warehousingbackoffice_actions_confirmpickupaction.cng-action:not(.cng-action-disabled),
      .ya-de_hybris_platform_warehousingbackoffice_actions_reallocateaction.cng-action:not(.cng-action-disabled),
      .ya-de_hybris_platform_warehousingbackoffice_actions_returns_acceptgoods.cng-action:not(.cng-action-disabled),
      .ya-de_hybris_platform_warehousingbackoffice_actions_returns_cancelreturnaction.cng-action:not(.cng-action-disabled),
      .ya-de_hybris_platform_warehousingbackoffice_actions_exportforms.cng-action:not(.cng-action-disabled),
      .ya-de_hybris_platform_warehousingbackoffice_actions_stock_adjustment.cng-action:not(.cng-action-disabled),
      .ya-de_hybris_platform_warehousingbackoffice_actions_internaltransfer_accept:not(.cng-action-disabled),
      .ya-de_hybris_platform_warehousingbackoffice_actions_internaltransfer_reject:not(.cng-action-disabled),
      .ya-de_hybris_platform_warehousingbackoffice_actions_asn_accept.cng-action:not(.cng-action-disabled),
      .ya-de_hybris_platform_warehousingbackoffice_actions_asn_reject.cng-action:not(.cng-action-disabled),
      .ya-de_hybris_platform_warehousingbackoffice_actions_printreturnshippinglabelaction.cng-action:not(.cng-action-disabled),
      .ya-de_hybris_platform_warehousingbackoffice_actions_printreturnformaction.cng-action:not(.cng-action-disabled) {
        padding: 2px 10px;
        tr {
          vertical-align: middle;
        }
      }
    }

      .yw-listview-actioncontainer .cng-action-group .ya-de_hybris_platform_warehousingbackoffice_actions_taskassignment_done_doneaction.cng-action:not(.cng-action-disabled),
      .yw-listview-actioncontainer .cng-action-group .ya-de_hybris_platform_warehousingbackoffice_actions_taskassignment_done_doneaction.cng-action.cng-action-disabled
      .yw-listview-actioncontainer .cng-action-group .ya-de_hybris_platform_warehousingbackoffice_actions_printconsolidatedpickslip_printconsolidatedpickslipaction.cng-action:not(.cng-action-disabled),
      .yw-listview-actioncontainer .cng-action-group .ya-de_hybris_platform_warehousingbackoffice_actions_printconsolidatedpickslip_printconsolidatedpickslipaction.cng-action.cng-action-disabled,
      .yw-listview-actioncontainer .cng-action-group .ya-de_hybris_platform_warehousingbackoffice_actions_exportpointsofservice.cng-action:not(.cng-action-disabled),
      .yw-listview-actioncontainer .cng-action-group .ya-de_hybris_platform_warehousingbackoffice_actions_exportpointsofservice.cng-action.cng-action-disabled {
        padding: 2px 10px;
        tr {
          vertical-align: middle;
        }
      }

      .yw-listview-actioncontainer .cng-action-group .ya-de_hybris_platform_warehousingbackoffice_actions_taskassignment_done_doneaction.cng-action,
      .yw-listview-actioncontainer .cng-action-group .ya-de_hybris_platform_warehousingbackoffice_actions_printconsolidatedpickslip_printconsolidatedpickslipaction.cng-action,
      .yw-listview-actioncontainer .cng-action-group .ya-de_hybris_platform_warehousingbackoffice_actions_exportpointsofservice.cng-action {
        &:hover {
          background: $warehousing-action-buttons--background;
          color: $warehousing-action-buttons--color;
          transition: background-color 0.3s ease 0s;
        }
        &.cng-action-disabled:hover {
          color: inherit;
          background: none;
        }
      }

    .y-toolbar-leftslot .cng-action-group {
      .ya-de_hybris_platform_warehousingbackoffice_actions_shipaction,
      .ya-de_hybris_platform_warehousingbackoffice_actions_printpickslipaction,
      .ya-de_hybris_platform_warehousingbackoffice_actions_printpackaction,
      .ya-de_hybris_platform_warehousingbackoffice_actions_printshippinglabelaction,
      .ya-de_hybris_platform_warehousingbackoffice_actions_confirmpickupaction,
      .ya-de_hybris_platform_warehousingbackoffice_actions_reallocateaction,
      .ya-de_hybris_platform_warehousingbackoffice_actions_returns_acceptgoods,
      .ya-de_hybris_platform_warehousingbackoffice_actions_returns_cancelreturnaction,
      .ya-de_hybris_platform_warehousingbackoffice_actions_stock_adjustment,
      .ya-de_hybris_platform_warehousingbackoffice_actions_asn_accept,
      .ya-de_hybris_platform_warehousingbackoffice_actions_asn_reject,
      .ya-de_hybris_platform_warehousingbackoffice_actions_taskassignment_done_doneaction,
      .ya-de_hybris_platform_warehousingbackoffice_actions_internaltransfer_reject,
      .ya-de_hybris_platform_warehousingbackoffice_actions_internaltransfer_accept,
      .ya-de_hybris_platform_warehousingbackoffice_actions_exportforms,
      .ya-de_hybris_platform_warehousingbackoffice_actions_printreturnshippinglabelaction,
      .ya-de_hybris_platform_warehousingbackoffice_actions_printreturnformaction,
      .ya-de_hybris_platform_warehousingbackoffice_actions_printconsolidatedpickslip_printconsolidatedpickslipaction,
      .ya-de_hybris_platform_warehousingbackoffice_actions_exportpointsofservice {
        &:hover {
          background: $warehousing-action-buttons--background;
          color: $warehousing-action-buttons--color;
          transition: background-color 0.3s ease 0s;
        }
        &.cng-action-disabled:hover {
          color: inherit;
          background: none;
        }
      }
    }

    div.yw-explorerTree .y-tree-icon-warehousing\.treenode\.taskassignment\.inbox .y-tree-icon{
        background-image: url(../css/images/navbar/_tree_inbox.png);
    }

    div.yw-explorerTree .y-tree-icon-warehousing\.typenode\.pointofservices .y-tree-icon{
        background-image: url(../css/images/navbar/_point_of_service.png);
    }

    div.yw-explorerTree .y-tree-icon-warehousing\.typenode\.warehouses .y-tree-icon{
        background-image: url(../css/images/navbar/_warehouse.png);
    }

    div.yw-explorerTree .y-tree-icon-warehousing\.typenode\.stocklevels .y-tree-icon{
        background-image: url(../css/images/navbar/_stock_level.png);
    }

    div.yw-explorerTree .y-tree-icon-warehousing\.typenode\.atpviews .y-tree-icon{
        background-image: url(../css/images/navbar/_atp_views.png);
    }

    div.yw-explorerTree .y-tree-icon-warehousing\.typenode\.return\.waiting\.goods .y-tree-icon{
        background-image: url(../css/images/navbar/_waiting_for_goods.png);
    }

    div.yw-explorerTree .y-tree-icon-warehousing\.typenode\.atp\.formulas .y-tree-icon{
        background-image: url(../css/images/navbar/_atp_formulas.png);
    }

    div.yw-explorerTree .y-tree-icon-warehousing\.typenode\.sourcing\.configuration .y-tree-icon{
        background-image: url(../css/images/navbar/_sourcing_configuration.png);
    }

    div.yw-explorerTree .y-tree-icon-warehousing\.typenode\.atp\.restockconfig .y-tree-icon{
        background-image: url(../css/images/navbar/_restock_config.png);
    }

    div.yw-explorerTree .y-tree-icon-warehousing\.typenode\.asns .y-tree-icon {
      background-image: url(../css/images/navbar/_advance_shipping_notice.png);
    }

    div.yw-explorerTree .y-tree-icon-warehousing\.treenode\.order\.shipping .y-tree-icon{
        background-image: url(../css/images/navbar/_consignments.png);
    }

    .ye-warehouse-inbox-layout .noBG.yw-layoutregion.z-center.z-center-noborder{
        background-color: $grey__light--500;
    }
}
